package com.example.demo.controller;

import com.example.demo.service.S3service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@RestController
@RequestMapping(value = "/api")
public class Awscontroller {

    private final S3service service;

    @Autowired
    public Awscontroller(S3service s3service) {
        this.service = s3service;
    }

    // curl 'http://localhost:9030/api/upload?key=some-key-name&file=some-file'

    @PutMapping(value = "/upload")
    public String upload(@RequestParam(name = "key") String key, @RequestParam("file") MultipartFile file)
            throws Exception {
        if (file.isEmpty()) {
            return "nothing to upload";
        }

        return service.uploadObject(key, file);
    }
}
